Neurophysiologically Pseudoscientific Manatee
    Have ideas to improve npm?Join in the discussion! »

    @tangany/eslint-config

    0.2.1 • Public • Published
    Tangany

    Tangany ESLint Config


    Shareable config that is designed to work with the extends feature of .eslintrc files. Install the npm module via npm install @tangany/eslint-config@latest and add it as a dependency to your .eslintrc:

    {
        "extends": [
            "@tangany"
        ],
        "rules": {
        }
    }
    

    Plugins

    Since ESLint does not support installing plugins as devDependencies (ongoing Github issue #3458), all required plugins have to be installed manually in order to use this shareable eslint config in a project.

    Install all required plugins with this command:

    npm i -D babel-eslint eslint-config-standard eslint-plugin-import eslint-plugin-no-use-extend-native eslint-plugin-node eslint-plugin-promise eslint-plugin-standard eslint-plugin-unicorn eslint-plugin-jsdoc
    

    Keywords

    none

    Install

    npm i @tangany/eslint-config

    DownloadsWeekly Downloads

    1

    Version

    0.2.1

    License

    ISC

    Unpacked Size

    16.4 kB

    Total Files

    14

    Last publish

    Collaborators

    • avatar
    • avatar
    • avatar